# Module `awesome`

awesome core API

### Info:

- Copyright: 2008-2009 Julien Danjou
- Author: Julien Danjou <julien@danjou.info>

## Functions

quit () | Quit awesome.
exec (cmd) | Execute another application, probably a window manager, to replace awesome.
restart () | Restart awesome.
load_image (name) | Load an image
register_xproperty (name, type) | Register a new xproperty.
set_xproperty (name, value) | Change a xproperty.
get_xproperty (name) | Get the value of a xproperty.
connect_signal (name, func) | Add a global signal.
disconnect_signal (name, func) | Remove a global signal.
emit_signal (name, ...) | Emit a global signal.

## Tables

awesome | awesome global table.

## Fields

cmd | Spawn a program.

## Functions

quit ()
  Quit awesome.
exec (cmd)
  Execute another application, probably a window manager, to replace awesome.

  ### Parameters:

  - cmd The command line to execute.
restart ()
  Restart awesome.
load_image (name)
  Load an image

  ### Parameters:

  - name The file name

  ### Returns:

  A cairo image surface as light user datum
register_xproperty (name, type)
  Register a new xproperty.

  ### Parameters:

  - name The name of the X11 property
  - type One of "string", "number" or "boolean"
set_xproperty (name, value)
  Change a xproperty.

  ### Parameters:

  - name The name of the X11 property
  - value The new value for the property
get_xproperty (name)
  Get the value of a xproperty.

  ### Parameters:

  - name The name of the X11 property
connect_signal (name, func)
  Add a global signal.

  ### Parameters:

  - name A string with the event name.
  - func The function to call.
disconnect_signal (name, func)
  Remove a global signal.

  ### Parameters:

  - name A string with the event name.
  - func The function to call.
emit_signal (name, ...)
  Emit a global signal.

  ### Parameters:

  - name A string with the event name.
  - ... Signal arguments.

## Tables

awesome
  awesome global table.

  ### Fields:

  - version The version of awesome.
  - release The release name of awesome.
  - conffile The configuration file which has been loaded.
  - startup True if we are still in startup, false otherwise.
  - startup_errors Error message for errors that occured during startup.
  - composite_manager_running True if a composite manager is running.

## Fields

cmd
  Spawn a program.
  - cmd The command to launch. Either a string or a table of strings.
  - use_sn Use startup-notification, true or false, default to true.

generated by LDoc 1.4.2